Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_var_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/phys_output_var_mod.F90	(revision 5117)
@@ -142,7 +142,7 @@
   LOGICAL, SAVE :: vars_defined = .FALSE. ! ug PAS THREADPRIVATE ET C'EST NORMAL
 
-  REAL, allocatable:: zustr_gwd_hines(:), zvstr_gwd_hines(:) ! (klon)
-  REAL, allocatable:: zustr_gwd_front(:), zvstr_gwd_front(:) ! (klon)
-  REAL, allocatable:: zustr_gwd_rando(:), zvstr_gwd_rando(:) ! (klon)
+  REAL, ALLOCATABLE:: zustr_gwd_hines(:), zvstr_gwd_hines(:) ! (klon)
+  REAL, ALLOCATABLE:: zustr_gwd_front(:), zvstr_gwd_front(:) ! (klon)
+  REAL, ALLOCATABLE:: zustr_gwd_rando(:), zvstr_gwd_rando(:) ! (klon)
   !$OMP THREADPRIVATE(zustr_gwd_hines, zvstr_gwd_hines)
   !$OMP THREADPRIVATE(zustr_gwd_front, zvstr_gwd_front)
@@ -185,6 +185,6 @@
   !======================================================================
   SUBROUTINE phys_output_var_init
-    use dimphy
-    use config_ocean_skin_m, ONLY: activate_ocean_skin
+    USE dimphy
+    USE config_ocean_skin_m, ONLY: activate_ocean_skin
 
     IMPLICIT NONE
@@ -236,9 +236,9 @@
 
     IF (ok_hines) allocate(zustr_gwd_hines(klon), zvstr_gwd_hines(klon))
-    IF (.not.ok_hines.and.ok_gwd_rando) &
+    IF (.NOT.ok_hines.AND.ok_gwd_rando) &
                   allocate(zustr_gwd_front(klon), zvstr_gwd_front(klon))
     IF (ok_gwd_rando) allocate(zustr_gwd_rando(klon), zvstr_gwd_rando(klon))
 
-    if (activate_ocean_skin >= 1) allocate(tkt(klon), tks(klon), taur(klon), &
+    IF (activate_ocean_skin >= 1) allocate(tkt(klon), tks(klon), taur(klon), &
          sss(klon))
 
